%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_version: %define python_version %(%{__python} -c "from distutils.sysconfig import get_python_version; print get_python_version()")}
%define debug_package %{nil}

Name:           gnome-applet-timer
Version:        2.0.1
Release:        4%{?dist}
Summary:        A countdown timer applet for the GNOME panel

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://timerapplet.sourceforge.net/
Source0:        http://download.sourceforge.net/timerapplet/timer-applet-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel >= 2.4
BuildRequires:  GConf2
BuildRequires:  gettext, perl(XML::Parser)
Requires:       pygtk2-libglade >= 2.10
Requires:       gnome-python2-applet >= 2.16
Requires:       notify-python >= 0.1
Requires:       dbus-python >= 0.80

%if "%{python_version}" < "2.5"
Requires:       python-elementtree
%endif

Provides:       timer-applet = %{version}
Requires(pre):  GConf2
Requires(post): GConf2
Requires(preun): GConf2
Requires(postun): scrollkeeper

%description
Timer Applet is a countdown timer applet for the GNOME panel. Highlights:
* Run multiple Timer Applets simultaneously to have different timers
* Quickly set a time and the applet will notify you when time's up
* Create presets for quick access to frequently-used times
* Small and unobtrusive. Choose to either view the remaining time right in the 
  panel or hide it so you don't get distracted by the countdown.

%prep
%setup -q -n timer-applet-%{version}

%build
%if 0%{?fedora} > 6
export CPPFLAGS="${CPPFLAGS} -I/usr/include/libxml2"
%endif

%configure --disable-schemas-install
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang timer-applet

# disable check for as long as #449717 isn't fixed.

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/timer-applet.schemas >/dev/null || :
fi


%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/timer-applet.schemas >/dev/null || :

scrollkeeper-update -q -o %{_datadir}/omf/timer-applet || :

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/timer-applet.schemas > /dev/null || :
fi

%postun
scrollkeeper-update -q || :


%files -f timer-applet.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_sysconfdir}/gconf/schemas/timer-applet.schemas
%{_libdir}/bonobo/servers/TimerApplet.server
%{_libdir}/timer-applet/timer-applet
%{_datadir}/pixmaps/timer-applet.png
%{_datadir}/timer-applet/
%{python_sitelib}/timerapplet/

%changelog
* Mon Jul 07 2008 Tom "spot" Callaway <tcallawa@redhat.com> 2.0.1-4
- use proper conditional

* Mon Jul 07 2008 Adam Jackson <ajax@redhat.com> 2.0.1-3
- %%fedora is an int, not a string.

* Fri Jun 20 2008 Christoph Wickert <fedora christoph-wickert de> - 2.0.2-1
- Disable broken check macro (#449717) temporarily to fix #449485

* Thu Feb 21 2008 Christoph Wickert <fedora christoph-wickert de> - 2.0.1-1
- Update to 2.0.1.

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.3.3-3
- Autorebuild for GCC 4.3

* Tue Aug 28 2007 Christoph Wickert <fedora christoph-wickert de> - 1.3.3-2
- Rebuild for BuildID feature
- Update license tag

* Sun Apr 15 2007 Christoph Wickert <fedora christoph-wickert de> - 1.3.3-1
- Update to 1.3.3.

* Sun Dec 17 2006 Christoph Wickert <fedora christoph-wickert de> - 1.3.2-1
- Update to 1.3.2, includes fix for the icon in the notification bubble.

* Tue Oct 31 2006 Christoph Wickert <fedora christoph-wickert de> - 1.3.1-1
- Update to 1.3.1 with libnotify support (#203234).

* Fri Sep 15 2006 Christoph Wickert <fedora christoph-wickert de> - 1.2-4
- Mass rebuild for Fedora Core 6.
- BuildRequire perl(XML::Parser).

* Wed Feb 15 2006 Christoph Wickert <fedora wickert at arcor de> - 1.2-3
- Rebuild for Fedora Extras 5.

* Thu Dec 15 2005 Christoph Wickert <fedora wickert at arcor de> - 1.2-2
- Bump release due to tag collision in Core 4.

* Thu Dec 15 2005 Christoph Wickert <fedora wickert at arcor de> - 1.2-1
- Update to 1.2.
- Remove all specfile hacks, problems are fixed upstream.

* Thu Sep 22 2005 Christoph Wickert <wickerpms at arcor.de> - 1.1.1-9
- Increase release due to tag collision.

* Mon Sep 19 2005 Christoph Wickert <wickerpms at arcor.de> - 1.1.1-8
- Minor Specfile Changes.

* Sun Sep 18 2005 Christoph Wickert <wickerpms at arcor.de> - 1.1.1-7
- removed all patches and use Toshi's specfile hacks instead. (#168032)

* Sun Sep 18 2005 Christoph Wickert <wickerpms at arcor.de> - 1.1.1-6
- removed omf file install specfile hack.

* Sun Sep 18 2005 Christoph Wickert <wickerpms at arcor.de> - 1.1.1-5
- added timer-applet-libexec.patch by Toshio Kuratomi (#168032)
- modified timer-applet-docinstall.patch: replaced *.old with *.docinstall
- modified specfile to install omf file.

* Sat Sep 17 2005 Christoph Wickert <wickerpms at arcor.de> - 1.1.1-4
- added timer-applet-docinstall.patch by Toshio Kuratomi (#168032)

* Fri Sep 16 2005 Christoph Wickert <wickerpms at arcor.de> - 1.1.1-3
- Renamed package from gnome-timer-applet to gnome-applet-timer according to 
  Fedora Extras package naming guidelines.
- Minor Specfile Changes: Added scrollkeeper requirements and snipplets

* Sat Sep 10 2005 Christoph Wickert <wickerpms at arcor.de> - 1.1.1-2
- Renamed package from timer-applet to gnome-timer-applet according to Fedora
  Extras package naming guidelines.
- Several fixes for FE (version etc).
- Cleaned up Specfile.

* Fri Aug 19 2005 Christoph Wickert <wickerpms at arcor.de> - 1.1.1-1.fc4.cw
- Updated to version 1.1.1.
- Rebuild for Core 4.

* Wed Apr 13 2005 Christoph Wickert <wickerpms at arcor.de> - 1.0-2.fc3.cw
- Rebuild to fit to repos naming conventions.

* Sun Apr 03 2005 Christoph Wickert <wickerpms at arcor.de> - 1.0-fc3_cw.1
- Updated to version 1.0.

* Thu Mar 24 2005 Christoph Wickert <wickerpms at arcor.de> - 0.9-fc3_cw.1
- Updated to version 0.9.

* Mon Mar 21 2005 Christoph Wickert <wickerpms at arcor.de> - 0.8-fc3_cw.1
- Initial RPM release.
